create table istruttori (
   nome varchar(15) not null,
   cognome varchar(15) not null,
   ind varchar(30),
   tel varchar(15),
   qualifica varchar(10) not null,
   tessera integer not null primary key
);

create table corsi(
   nome varchar(20) not null,
   livello integer not null,
   durata integer not null,
   codice integer not null primary key
);

create table corsie(
   numero integer not null primary key,
   depth float
);

create table bagnanti (
   nome varchar(15) not null,
   cognome varchar(15) not null,
   ind varchar(30) not null,
   tel varchar(15),
   tesserino integer not null primary key,
   corso integer 
         references corsi(codice) 
         on update cascade
         on delete set null,
   tipo_abb varchar(15)
);

create table turni(
   istruttore integer 
              references istruttori(tessera)
              on update cascade
              on delete set null,
   corso integer 
         references corsi(codice)
         on update cascade
         on delete set null,
   corsia integer 
          references corsie(numero)
          on update cascade
          on delete set null,
   inizio date not null,
   fine date not null,
   giorni varchar(15) not null,
   orario varchar(15) not null
);
